--- old/usr/src/cmd/fm/fmdump/common/fault.c	Thu Jan 24 09:47:47 2019
+++ new/usr/src/cmd/fm/fmdump/common/fault.c	Thu Jan 24 09:47:47 2019
@@ -20,7 +20,7 @@
  */
 /*
  * Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
- * Copyright (c) 2017, Joyent, Inc. All rights reserved.
+ * Copyright (c) 2018, Joyent, Inc.
  */
 
 #include <fmdump.h>
@@ -183,7 +183,7 @@
 
 	for (i = 0; i < rp->rec_nrefs; i++) {
 		fmdump_printf(fp, "  ");
-		efp->do_func(lp, &rp->rec_xrefs[i], fp);
+		(void) efp->do_func(lp, &rp->rec_xrefs[i], fp);
 	}
 
 	fmdump_printf(fp, "\n");
--- old/usr/src/cmd/fm/notify/smtp-notify/common/smtp-notify.c	Thu Jan 24 09:47:47 2019
+++ new/usr/src/cmd/fm/notify/smtp-notify/common/smtp-notify.c	Thu Jan 24 09:47:47 2019
@@ -22,6 +22,11 @@
 /*
  * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
  */
+
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
@@ -811,7 +816,7 @@
 				break;
 			default:
 				free(nhdl);
-				return (usage(nhdl->nh_pname));
+				return (usage(argv[0]));
 			}
 		}
 	}
--- old/usr/src/cmd/fm/notify/snmp-notify/common/snmp-notify.c	Thu Jan 24 09:47:47 2019
+++ new/usr/src/cmd/fm/notify/snmp-notify/common/snmp-notify.c	Thu Jan 24 09:47:47 2019
@@ -23,6 +23,10 @@
  * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
 #include <sys/fm/protocol.h>
 #include <fm/fmd_snmp.h>
 #include <fm/fmd_msg.h>
@@ -577,7 +581,7 @@
 				break;
 			default:
 				free(nhdl);
-				return (usage(nhdl->nh_pname));
+				return (usage(argv[0]));
 			}
 		}
 	}
